Bug 472049 - kismet generates lots of alerts
kismet generates lots of alerts
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kismet (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-18 09:08 EST by Valent Turkovic
Modified: 2010-05-06 10:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-06 10:03:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kismet1 (3.34 KB, text/plain)
2008-11-18 09:08 EST, Valent Turkovic
no flags Details
kismet2 (2.83 KB, text/plain)
2008-11-18 09:09 EST, Valent Turkovic
no flags Details
kismet3 (2.89 KB, text/plain)
2008-11-18 09:09 EST, Valent Turkovic
no flags Details
kismet4 (2.66 KB, text/plain)
2008-11-18 09:10 EST, Valent Turkovic
no flags Details

  None (edit)
Description Valent Turkovic 2008-11-18 09:08:12 EST
Description of problem:
kismet generates lots of alerts

After adding user to sudoers file and starting kismet with sudo I get lots of selinux alerts.

Please look at these alerts.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. add current user to sudoers file
2. start kismet with sudo
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Valent Turkovic 2008-11-18 09:08:46 EST
Created attachment 323893 [details]
kismet1
Comment 2 Valent Turkovic 2008-11-18 09:09:12 EST
Created attachment 323894 [details]
kismet2
Comment 3 Valent Turkovic 2008-11-18 09:09:38 EST
Created attachment 323895 [details]
kismet3
Comment 4 Valent Turkovic 2008-11-18 09:10:02 EST
Created attachment 323896 [details]
kismet4
Comment 5 Daniel Walsh 2008-11-18 11:35:17 EST
What is this script doing?  Allowing kismet to load kernel modules is a bad idea.  Listening to random network traffic that causes kismet to change the kernel is a disaster waiting to happen.

I can give it.

corecmd_exec_shell(kismet_t)
And
kernel_read_system_state(kismet_t)

But if we need kernel modules loaded, we need a different way of doing this.
Comment 6 Bug Zapper 2009-06-09 23:18:07 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Enrico Scholz 2010-03-07 09:36:59 EST
kismet in f12 behaves completely different than in previous versions and runs as unconfined_t afaik.  Do you really see all these AVCs?
Comment 9 Valent Turkovic 2010-03-08 13:52:07 EST
Ups, you are right, kismet works ok now.

Note You need to log in before you can comment on or make changes to this bug.